
{% extends "layout.html" %}
{% block content %}
<article class="media content-section">
  <div class="media-body">
    <div class="article-metadata">
      {% if current_user.role == 'admin' %}
      <div>
        <a class="btn btn-secondary btn-sm m-1" href="{{ url_for('sections.update', section_id=section.id) }}">Edytuj</a>
        <a class="btn btn-secondary btn-sm m-1" href="{{ url_for('sections.add_for_branch', section_id=section.id) }}">Wydziel dla gałęzi</a>
        <button type="button" class="btn btn-danger btn-sm m-1" data-toggle="modal" data-target="#deleteModal">Usuń</button>
        {% for branch in branches %}
          {% if branch.id == section.id_branch %}
           <strong>Gałąź sekcji: </strong>  <a class="btn btn-secondary btn-sm m-1" id="btn" href="{{ url_for('sections.show_branch', id_branch=branch.id) }}">{{ branch.name }}</a>
          {% endif %}
        {% endfor %}
      </div>
      {% elif section.author == current_user %}
      <div>
        <a class="btn btn-secondary btn-sm m-1" href="{{ url_for('sections.update', section_id=section.id) }}">Edytuj</a>
        <button type="button" class="btn btn-danger btn-sm m-1" data-toggle="modal"
          data-target="#deleteModal">Usuń</button>
      </div>
      {% endif %}
    </div>
    <h2 class="article-title">{{ section.title }}</h2>
    <div class="article-content">{{ body }}</div>
  </div>
</article>
<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteModalLabel">Czy na pewno chcesz usunąć?</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Zamknij</button>
        <form action="{{ url_for('sections.delete', section_id=section.id) }}" method="POST">
          <input class="btn btn-danger" type="submit" value="Usuń">
        </form>
      </div>
    </div>
  </div>
</div>
{% endblock content %}